using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using EQNetwork.Objects;
using EQNetwork.Interfaces;
using EQNetwork.Utility;

namespace EQNetwork.Services
{
    public partial class PostService : IPostService
    {
        private EQProcess _eq;
        public PostService(EQProcess eq)
        {
            _eq = eq;
        }

        private IEQApiService _api { get { return _eq.EQApiService; } }

        public Post Get(int postId) { return _api.Post_Get(postId); }

        public void Create(ref Post post) { _api.Post_Create(ref post); }

        public void Update(ref Post post) { _api.Post_Update(ref post); }

        public void Delete(Post post) { _api.Post_Delete(post); }
        public void Delete(int postId) { _api.Post_Delete(postId); }
    }
}
